SSLContext (Apache Tomcat 9.0.73 API Documentation)

Package org.apache.tomcat.util.net

## Interface SSLContext

- All Known Implementing Classes:
    `OpenSSLContext`

      public interface SSLContext

  This interface is needed to override the default SSLContext class to allow SSL implementation pluggability without having to use JCE. With regular JSSE it will do nothing but delegate to the SSLContext.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.net.ssl.SSLEngine` | `createSSLEngine()` |
    `void` | `destroy()` |
    `java.security.cert.X509Certificate[]` | `getAcceptedIssuers()` |
    `java.security.cert.X509Certificate[]` | `getCertificateChain​(java.lang.String alias)` |
    `javax.net.ssl.SSLSessionContext` | `getServerSessionContext()` |
    `javax.net.ssl.SSLServerSocketFactory` | `getServerSocketFactory()` |
    `javax.net.ssl.SSLParameters` | `getSupportedSSLParameters()` |
    `void` | `init​(javax.net.ssl.KeyManager[] kms, javax.net.ssl.TrustManager[] tms, java.security.SecureRandom sr)` |

- - ### Method Detail

    - #### init

          void init​(javax.net.ssl.KeyManager[] kms,
                    javax.net.ssl.TrustManager[] tms,
                    java.security.SecureRandom sr)
             throws java.security.KeyManagementException

      Throws:
        `java.security.KeyManagementException`

    - #### destroy

          void destroy()

    - #### getServerSessionContext

          javax.net.ssl.SSLSessionContext getServerSessionContext()

    - #### createSSLEngine

          javax.net.ssl.SSLEngine createSSLEngine()

    - #### getServerSocketFactory

          javax.net.ssl.SSLServerSocketFactory getServerSocketFactory()

    - #### getSupportedSSLParameters

          javax.net.ssl.SSLParameters getSupportedSSLParameters()

    - #### getCertificateChain

          java.security.cert.X509Certificate[] getCertificateChain​(java.lang.String alias)

    - #### getAcceptedIssuers

          java.security.cert.X509Certificate[] getAcceptedIssuers()